Subject: [Gen-art] Gen-ART LC Review of draft-ietf-mpls-rsvp-te-no-php-oob-mapping-08

From: Ben Campbell <[email-masked]>
Date: Fri, 12 Aug 2011 16:27:12 -0500

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you may receive.

Document: draft-ietf-mpls-rsvp-te-no-php-oob-mapping
Reviewer: Ben Campbell
Review Date: 2011-08-12
IETF LC End Date: 2011-08-12

Summary: This document is almost ready for publication as a proposed standard. There are a few editorial issues and nits that should be considered prior to publication.

Major issues:

None

Minor issues:

None

Nits/editorial comments:

-- Please proofread for missing articles (i.e. a, an, the)

-- idnits reports some issues, please check.

-- section 1:

It would be helpful to include an explicit definition of " non-Penultimate Hop Popping behavior" somewhere in the introduction.

-- section 1, paragraph 2: "P2MP"

Please expand on first mention. I see you did in the abstract, but it should be redone in the body.

-- section 2.2, last paragraph: "w.r.t."

Please spell out

-- section 3: First paragraph: " Addition of "non-PHP behavior" adds a variable of attacks on the label assigned by the Egress node. "

Is "variable" the correct word?

-- IANA Considerations:

Please include the explicit names of the registry to be changed.

-- 6.1, "[RFC 2119]"

The space between RFC and 2119 confused idnits, and may confuse other tools.

-- 6.1, [RFC5920]

This is an informational draft. Does the reference need to be normative?

-- general:

I am unable to read the title without thinking of this: http://en.wikipedia.org/wiki/Hop_on_Pop  :-)

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Wed, 17 Aug 2011 14:45:47 -0500

Dear Ben- 

Many thanks to your detailed review. I have addressed all your comments
in the enclosed version. Please see in-line for details. 

Thanks

Regards ... Zafar 

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: Friday, August 12, 2011 5:27 PM
> To: [email-masked]
> Cc: The IETF; [email-masked] Review Team
> Subject: Gen-ART LC Review of draft-ietf-mpls-rsvp-te-no-php-oob-
> mapping-08
> 
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Summary: This document is almost ready for publication as a proposed
> standard. There are a few editorial issues and nits that should be
> considered prior to publication.
> 
> 
> Major issues:
> 
> None
> 
> Minor issues:
> 
> None
> 
> Nits/editorial comments:
> 

Opps, I failed my English test again ;-) I did proofread the document
and have tried to fix the articles to best of my ability. Certainly look
forward to help from RFC editor, if I may please. 

BTW I always struggle which one of the following is (more) correct:

"An RSVP-TE LSP" vs. "A RSVP-TE LSP"

Document uses "an RSVP-TE LSP".

> -- idnits reports some issues, please check.

I have cleaned up all idnits in the enclosed version, as follows:

idnits 2.12.12 

tmp/draft-ietf-mpls-rsvp-te-no-php-oob-mapping-09.txt:

  Checking boilerplate required by RFC 5378 and the IETF Trust (see
  http://trustee.ietf.org/license-info):
 
------------------------------------------------------------------------
----

     No issues found here.

  Checking nits according to
http://www.ietf.org/id-info/1id-guidelines.txt:
 
------------------------------------------------------------------------
----

     No issues found here.

  Checking nits according to http://www.ietf.org/id-info/checklist :
 
------------------------------------------------------------------------
----

     No issues found here.

  Miscellaneous warnings:
 
------------------------------------------------------------------------
----

     No issues found here.

  Checking references for intended status: Proposed Standard
 
------------------------------------------------------------------------
----

     (See RFCs 3967 and 4897 for information about using normative
references
     to lower-maturity documents in RFCs)

  -- Possible downref: Normative reference to a draft: ref.
'ATTRIBUTE-BNF' 

     Summary: 0 errors (**), 0 warnings (==), 1 comment (--).

n.b. We have ignored one comment, as 'ATTRIBUTE-BNF' needs to be
normative reference. 

> -- section 1:
> 
> It would be helpful to include an explicit definition of " non-
> Penultimate Hop Popping behavior" somewhere in the introduction.

We have added it in the enclosed version (v9). 

> should be redone in the body.

We have added RSVP-TE point-to-multipoint (P2MP) in the introduction
too. 

> -- section 2.2, last paragraph: "w.r.t."

Spelled out. 

> -- section 3: First paragraph: " Addition of "non-PHP behavior" adds a
> variable of attacks on the label assigned by the Egress node. "
> 

It seems to describe the sentence well. We are open to any suggestion. 

> Please include the explicit names of the registry to be changed.

Added Resource Reservation Protocol-Traffic Engineering (RSVP-TE)
Parameters registry 

> The space between RFC and 2119 confused idnits, and may confuse other

Adrian also pointed out this. It is fixed in the enclosed version. 

> This is an informational draft. Does the reference need to be
normative?

Adrian also pointed out this. It is fixed in the enclosed version.

> -- general:
> 
> I am unable to read the title without thinking of this:
> http://en.wikipedia.org/wiki/Hop_on_Pop  :-)

LOL :)

---

From: Ross Callon <[email-masked]>
Date: Thu, 18 Aug 2011 16:19:56 -0400

I dropped the ietf from the recipients for this email since this is too minor to bug everyone with the nit, but...

The first sentence of section 3 is currently: 

   Addition of "non-PHP behavior" adds a variable of attacks on the
   label assigned by the Egress node.

Do we really intend to say: 

   Addition of "non-PHP behavior" adds a variety of attacks on the
   label assigned by the Egress node.

Ross

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Zafar Ali (zali)
Sent: Wednesday, August 17, 2011 3:46 PM
To: Ben Campbell; [email-masked]
Cc: [email-masked]; The IETF
Subject: RE: Gen-ART LC Review of draft-ietf-mpls-rsvp-te-no-php-oob-mapping-08

Dear Ben- 

Thanks

Regards ... Zafar 

idnits 2.12.12 

 

     No issues found here.

     No issues found here.

     No issues found here.

  Miscellaneous warnings:

     No issues found here.

Spelled out. 

LOL :)

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 18 Aug 2011 21:48:13 +0100

I added this in an RFC Editor Note.

No further action required.

A

> From: Ross Callon [mailto:[email-masked]]
> Sent: 18 August 2011 21:20
> To: Zafar Ali (zali); Ben Campbell; draft-ietf-mpls-rsvp-te-no-php-oob-
> [email-masked]
> Cc: [email-masked]; Ross Callon
> Subject: One sentence, RE: Gen-ART LC Review of draft-ietf-mpls-rsvp-te-no-
> php-oob-mapping-08
> 
> I dropped the ietf from the recipients for this email since this is too minor
to bug
> everyone with the nit, but...
>

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 22 Aug 2011 14:43:43 -0500

Hi Ross- 

Changing "variable" to "variety" would be good. However, at present
state, do you want me to update the draft with this or possibly other
changes, or RFC editor will take care of the changes. 

Please advise. 

Thanks

Regards ... Zafar 

> Sent: Thursday, August 18, 2011 4:20 PM
> Subject: One sentence, RE: Gen-ART LC Review of
draft-ietf-mpls-rsvp-te-
> no-php-oob-mapping-08
> 
> I dropped the ietf from the recipients for this email since this is
too
> minor to bug everyone with the nit, but...
> 
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Zafar Ali (zali)
> > Please resolve these comments along with any other Last Call
comments
> > you may receive.
> > Please expand on first mention. I see you did in the abstract, but
it
> > should be redone in the body.
> >
> 
> > The space between RFC and 2119 confused idnits, and may confuse
other
> > tools.

---

From: Ben Campbell <[email-masked]>
Date: Mon, 22 Aug 2011 16:46:53 -0500

Thanks for the response. One further comment below. I removed sections that I think have been sufficiently addressed:

On Aug 17, 2011, at 2:45 PM, Zafar Ali (zali) wrote:
[…]

> It seems to describe the sentence well. We are open to any suggestion. 

Maybe "variety"?

[…]